Subject: Re: bug#14086: 24.3.50; `substitute-command-keys': inappropriate "(that binding is currently shadowed by another mode)"

From: Eli Zaretskii <[email-masked]>
Date: Mon, 05 Oct 2020 07:45:32 +0300

> Date: Sun, 4 Oct 2020 12:13:13 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> 
> > It doesn't have to mean nothing.  You can point your browser at
> > 
> > https://urldefense.com/v3/__https://git.savannah.gnu.org/cgit/emacs.git/commi
> > t/?id=64d2e5a7a__;!!GqivPVa7Brio!IsQgpRqg8hn3L0tWsgCncaPbIHrmy6RrrNCHsgA-
> > PbKAeR3z2EbhlmIutmY38TT0$
> > 
> > and se the changes.  Note that everything in that URL is fixed, apart
> > from the commit ID, which is what Lars mentioned.  So that ID is a
> > unique ID of the changeset, and you can always find it as above.
> 
> That's good to know.  Thank you.
> 
> I suppose I can bookmark that URL, and then, if
> I ever need to point my browser to a given commit ID,
> I can go there and then edit the "id" value to that ID.
> 
> That's hardly something I'd want to have to do, I'm afraid.

Why not? it is very simple.  In general, if you want to be involved
with Emacs development (or any software development, really) nowadays,
you are expected to access the repository in some way and be able to
review changes given their commit ID.  Not having a local checkout of
the repository is already quite unusual; refusing to even go to the
Web interface of the repository is more than brow-raising.

> In any case, I think the patch, or a good description - not
> just a commit ID -belongs in this bug thread explicitly.  

That is extra burden for people who develop and maintain Emacs.